aim4.im.v2i.reservation

## Class ReservationArray.TimeTile

- java.lang.Object
- - aim4.im.v2i.reservation.ReservationArray.TimeTile

- Direct Known Subclasses:
    ReservationGrid.TimeTile
  Enclosing class:
    ReservationArray

      public static class ReservationArray.TimeTile
      extends Object

  The smallest unit of space-time in the FCFS policy. This keeps track of both a ReservationTile and a discrete time, which we use to keep track of the space-time reserved by vehicles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationArray.TimeTile(int dt, int tid)` Create a time-tile.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ReservationArray.TimeTile tt)` Check whether this time-tile is equal to the given time-tile.
    `int` | `getDiscreteTime()` Get the discrete time.
    `int` | `getTileId()` Get the tile ID.
    `String` | `toString()` Convert this time-tile to a string representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationArray.TimeTile

          public ReservationArray.TimeTile(int dt,
                                   int tid)

      Create a time-tile.
      Parameters:
        `dt` - the discrete time
        `tid` - the tile ID

  - ### Method Detail

    - #### getTileId

          public int getTileId()

      Get the tile ID.
      Returns:
        the tile ID.

    - #### getDiscreteTime

          public int getDiscreteTime()

      Get the discrete time.
      Returns:
        the discrete time

    - #### equals

          public boolean equals(ReservationArray.TimeTile tt)

      Check whether this time-tile is equal to the given time-tile.
      Parameters:
        `tt` - the given time-tile
      Returns:
        whether this time-tile is equal to the given time-tile.

    - #### toString

          public String toString()

      Convert this time-tile to a string representation
      Overrides:
        `toString` in class `Object`

Copyright © 2013. All rights reserved.